Subject: bug#79334: [PATCH] Don't release thread select lock unnecessarily

From: Dmitry Gutov <[email-masked]>
Date: Mon, 1 Sep 2025 03:39:50 +0300

On 29/08/2025 18:41, Eli Zaretskii wrote:
> For example, try to run something in a non-main
> thread and then attempt to interact with Emacs in the main thread.

Could that be code that does straight computation and does not switch 
threads at all, unless sleep-for is added?

Perhaps relatedly, diff-hl in "threaded" mode has a much better 
interactivity since switching to 'make-process' from 'call-process' for 
its external program interaction. But you're probably thinking of 
different kind of examples.